Subject: Re: linux-next: build failure after merge of the ieee1394 tree

From: Takashi Sakamoto <[email-masked]>
Date: Tue, 30 May 2023 19:44:23 +0900

Hi Stephen,

On Tue, May 30, 2023 at 12:24:50PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the ieee1394 tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> ERROR: modpost: missing MODULE_LICENSE() in drivers/firewire/firewire-uapi-test.o
> 
> Caused by commit
> 
>   dc7c51638f46 ("firewire: add KUnit test to check layout of UAPI structures")
> 
> I have used the ieee1394 tree from next-20230525 for today.
> 
> -- 
> Cheers,
> Stephen Rothwell

Indeed. I overlooked that the code can be configured for tristate.
I posted a patch to fix it and applied it to my for-next branch.

* https://git.kernel.org/ieee1394/linux1394/c/e003498ec055

I'm sorry to interrupt your work flow.

Thanks

Takashi Sakamoto